import request from '@/utils/request'
// 获取编号（参数count，没有参数或者count<=1返回1个string，>1就返回list）
export function public_getSn(query) {
  return request({
    url: '/system/business/public/getSn',
    method: 'get',
    params: query
  })
}
// 验证密码
export function public_checkPassword(data) {
  return request({
    url: '/system/business/public/checkPassword',
    method: 'post',
    data
  })
}

// 暂存柜列表
export function public_zcgList(query) {
  return request({
    url: '/system/business/public/zcgList',
    method: 'get',
    params: query
  })
}

// 模板列表
export function public_templateList(query) {
  return request({
    url: '/system/business/public/templateList',
    method: 'get',
    params: query
  })
}

// 试验区域-饲养间列表
export function public_roomList(query) {
  return request({
    url: '/system/business/public/roomList',
    method: 'get',
    params: query
  })
}

// 动物种属-笼具列表
export function public_animalSpeciesList(query) {
  return request({
    url: '/system/business/public/animalSpeciesList',
    method: 'get',
    params: query
  })
}
// 试剂列表
export function public_sjList(query) {
  return request({
    url: '/system/business/public/sjList',
    method: 'get',
    params: query
  })
}
// 试验列表
export function public_studyList(query) {
  return request({
    url: '/system/business/public/studyList',
    method: 'get',
    params: query
  })
}
// 部长列表
export function public_bzList(query) {
  return request({
    url: '/system/business/public/bzList',
    method: 'get',
    params: query
  })
}
